package com.xhkjedu.sexam.mapper.report;

import com.xhkjedu.sexam.model.reportstu.ERstudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @className EReportGenerateMapper
 * @description 考试报告生成
 * @date 2022/8/9 10:00
 **/
public interface EReportGenerateMapper {
    //考试科目
    List<Map> listSubject(@Param("examid") Integer examid, @Param("exammode") Integer exammode);

    //删除考试报告
    void deleteExamReport(@Param("examid") Integer examid);

    //学生上次考试排名及目标
    List<ERstudent> listStuRankAndGoal(@Param("examid") Integer examid);

    //学生违纪行为
    List<Map> listBadActionByExamId(@Param("examid") Integer examid);

    //学生优秀行为
    List<Map> listGoodActionByExamId(@Param("examid") Integer examid);

    //获取试卷分数
    Double getScoreByExamAndSubjectId(@Param("examid") Integer examid, @Param("subjectid") String subjectid);

    //获取考试发布学生数量
    Integer getStuNumByExamId(@Param("examid") Integer examid);

    //根据考试id获取考试模式
    Integer getExamModeById(@Param("examid") Integer examid);
}
